%global _python_dist_allow_version_zero 1
%global srcname saturnin
%global vdk_pylib_req vdk-pylib >= 0.2.0, vdk-pylib < 0.3.0


Name:           python-saturnin
Version:        0.0.8
Release:        1%{?dist}
Summary:        Saturnin - Spirit of your toolbox
URL:            https://gitlab.com/vornet/python/python-saturnin
License:        LGPLv2
Source0:        %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  %{vdk_pylib_req}

%description
saturnin is a Python library that helps you easily build toolkit from
various scripts that you may have lying around.  Instead of having a
herd of untamed undocumented and hard-to-share scripts, with help of
saturnin you can easily create and package a meta-command with a set
of discoverable and maintainable sub-commands.

Built with vdk-pylib-0.2.3


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3
BuildRequires:  python3-inigrep
BuildRequires:  python3-neaty
Requires:       python3
Requires:       python3-inigrep
Requires:       python3-neaty
%description -n python3-%{srcname}
saturnin is a Python library that helps you easily build toolkit from
various scripts that you may have lying around.  Instead of having a
herd of untamed undocumented and hard-to-share scripts, with help of
saturnin you can easily create and package a meta-command with a set
of discoverable and maintainable sub-commands.


%prep
%setup -q


%build
make %{?_smp_mflags} PREFIX=/usr pystuff
%py3_build

%install
%py3_install

%check
export VDK_TEST__DEBUG=true
export VDK_TEST__PYLIB_MODNAME=%{srcname}
%{_vdk_utildir}/vdk_test mypy \
  && %{_vdk_utildir}/vdk_test doctest \
  && %{_vdk_utildir}/vdk_test unittest \
  && %{_vdk_utildir}/vdk_test pytest

%files -n python3-%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/


%changelog

# vim: syntax=spec:
# specfile built with MKit 0.1.3 and vdk-pylib-0.2.3
